#variables:
#  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

#cache:
#  paths:
#    - .cache/pip
#    - venv/

.graph_test:
  image: "python:3.8"
  stage: test
  before_script:
  - python --version  # For debugging
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate
  - python -V
  - pip install rdflib
  script:
    - python scripts/graphtest.py

graph_test_manual:
  extends: .graph_test
  when: manual

graph_test_mr:
  extends: .graph_test
  only:
    refs:
    - merge_requests